Package org.eclipse.graphiti.ui.internal.editor

## Class GFCreationTool

- java.lang.Object
- - org.eclipse.gef.util.FlagSupport
  - - org.eclipse.gef.tools.AbstractTool
    - - org.eclipse.gef.tools.TargetingTool
      - - org.eclipse.gef.tools.CreationTool
        - - org.eclipse.graphiti.ui.internal.editor.GFCreationTool

All Implemented Interfaces:
  `org.eclipse.gef.RequestConstants`, `org.eclipse.gef.Tool`

    public class GFCreationTool
    extends org.eclipse.gef.tools.CreationTool

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.gef.tools.AbstractTool

`org.eclipse.gef.tools.AbstractTool.Input`

### Field Summary

### Fields inherited from class org.eclipse.gef.tools.CreationTool

`PROPERTY_CREATION_FACTORY`

### Fields inherited from class org.eclipse.gef.tools.TargetingTool

`MAX_FLAG`

### Fields inherited from class org.eclipse.gef.tools.AbstractTool

`MAX_STATE, MOUSE_BUTTON_ANY, MOUSE_BUTTON1, MOUSE_BUTTON2, MOUSE_BUTTON3, PROPERTY_UNLOAD_WHEN_FINISHED, STATE_ACCESSIBLE_DRAG, STATE_ACCESSIBLE_DRAG_IN_PROGRESS, STATE_DRAG, STATE_DRAG_IN_PROGRESS, STATE_INITIAL, STATE_INVALID, STATE_TERMINAL`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
`GFCreationTool()` Default constructor.
`GFCreationTool​(org.eclipse.gef.requests.CreationFactory aFactory)` Constructs a new CreationTool with the given factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `handleKeyUp​(org.eclipse.swt.events.KeyEvent e)`

### Methods inherited from class org.eclipse.gef.tools.CreationTool

`applyProperty, calculateCursor, createTargetRequest, deactivate, enforceConstraintsForSizeOnDropCreate, getCommandName, getCreateRequest, getDebugName, getFactory, getMaximumSizeFor, getMinimumSizeFor, handleButtonDown, handleButtonUp, handleDragInProgress, handleDragStarted, handleFocusLost, handleHover, handleMove, performCreation, setFactory, updateTargetRequest`

### Methods inherited from class org.eclipse.gef.tools.TargetingTool

`doAutoexpose, eraseTargetFeedback, getAutoexposeHelper, getCommand, getExclusionSet, getTargetEditPart, getTargetingConditional, getTargetRequest, handleAutoexpose, handleEnteredEditPart, handleExitingEditPart, handleHoverStop, handleInvalidInput, handleLeavingEditPart, handleViewerExited, isShowingTargetFeedback, isTargetLocked, lockTargetEditPart, resetFlags, resetHover, setAutoexposeHelper, setTargetEditPart, setTargetRequest, showTargetFeedback, unlockTargetEditPart, updateAutoexposeHelper, updateTargetUnderMouse`

### Methods inherited from class org.eclipse.gef.tools.AbstractTool

`acceptArrowKey, activate, addFeedback, commitDrag, createOperationSet, debug, executeCommand, executeCurrentCommand, focusGained, focusLost, getCurrentCommand, getCurrentInput, getCurrentViewer, getDebugNameForState, getDefaultCursor, getDisabledCursor, getDomain, getDragMoveDelta, getLocation, getOperationSet, getStartLocation, getState, handleCommandStackChanged, handleDoubleClick, handleDrag, handleFinished, handleFocusGained, handleKeyDown, handleKeyTraversed, handleNativeDragFinished, handleNativeDragStarted, handleViewerEntered, isActive, isHoverActive, isInState, isViewerImportant, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, movedPastThreshold, nativeDragFinished, nativeDragStarted, performViewerMouseWheel, placeMouseInViewer, reactivate, refreshCursor, releaseToolCapture, removeFeedback, setCurrentCommand, setCursor, setDefaultCursor, setDisabledCursor, setEditDomain, setHoverActive, setProperties, setStartLocation, setState, setToolCapture, setUnloadWhenFinished, setViewer, stateTransition, unloadWhenFinished, viewerEntered, viewerExited`

### Methods inherited from class org.eclipse.gef.util.FlagSupport

`getFlag, setFlag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFCreationTool

    public GFCreationTool()

Default constructor. Sets the default and disabled cursors.

#### GFCreationTool

    public GFCreationTool​(org.eclipse.gef.requests.CreationFactory aFactory)

Constructs a new CreationTool with the given factory.

Parameters:
  `aFactory` - the creation factory

### Method Detail

#### handleKeyUp

    protected boolean handleKeyUp​(org.eclipse.swt.events.KeyEvent e)

Overrides:
  `handleKeyUp` in class `org.eclipse.gef.tools.AbstractTool`